Licensing

This section provides information about the Microsoft BackOffice licensing model and its implementation in Windows 2000 Server.

  • Checklists
  • New ways to do familiar tasks
  • Best practices
  • How to...
  • Concepts
  • Troubleshooting


Checklists

  • Checklist: Configure licensing on a server
  • Checklist: Set up licensing for the enterprise
  • Checklist: Manage licensing for the enterprise


Checklist: Configure licensing on a server

This checklist shows the steps that are required to configure licensing on a local server. To configure licensing on a remote server, see Checklist: Set up licensing for the enterprise and Checklist: Managing licensing for the enterprise.

Step | Reference
Review key concepts. | Understanding licensing; Administering and tracking licenses
To add Per Server licenses, use the Licensing option in Control Panel. | Per Server licensing; To add Per Server licenses on the local server
To delete Per Server licenses, use the Licensing option in Control Panel. | Per Server licensing; To delete Per Server licenses on the local server
Change the licensing mode from Per Server to Per Seat on a server. | Licensing modes; To change the local server to Per Seat licensing
Configure replication on a server. | Licensing replication; Configuring licensing replication; To configure licensing replication on the local server


Checklist: Set up licensing for the enterprise

When you create a Windows 2000 site, license logging is automatically set up for the site, but you might need to change the licensing setup for the site or servers in the site. To configure licensing locally on a server, using Licensing in Control Panel, see Checklist: Configure licensing on a server. To manage licenses for the enterprise, see Checklist: Manage licensing for the enterprise.

Step | Reference
Review key concepts. | Understanding licensing; Administering licensing for the enterprise
View license information for the enterprise. | Find the site license server for a site; View licensing for a site
Select the licensing mode for servers in a site or change the licensing mode for a server to Per Seat. | Choosing the licensing mode; Change the licensing mode for a server to Per Seat
Configure replication for servers in a domain. | Tracking your organization's licensing; To configure replication for a server
Create license groups when the number of users is not the same as the number of computers. | License groups; To create a new license group
Change the site license server. | To change the site license server for a site


Checklist: Manage licensing for the enterprise

This checklist lists actions performed using Licensing in Administrative Tools to manage licenses and users for licensing. To configure licensing locally on a server, using the Licensing option in Control Panel, see Checklist: Configure licensing on a server. To change the licensing mode for a server, configure replication, or create user groups, see Checklist: Set up licensing for the enterprise.

Step | Reference
Review key concepts. | Using licensing
To view product license information for a site, use Licensing in Administrative Tools. | To view product license information
Add Per Seat client access licenses for a Microsoft BackOffice product in Per Seat licensing mode. | To add Per Seat client access licenses
Delete Per Seat client access licenses for a Microsoft BackOffice server product in Per Seat licensing mode. | To delete Per Seat client access licenses
Add Per Server client access license for a Microsoft BackOffice server product installed on a server in Per Server licensing mode. | To add Per Server client access licenses
Delete Per Server client access license for a Microsoft BackOffice server product installed on a server in Per Server licensing mode. | To delete Per Server client access licenses
Use License Manager to view user licensing information. | To view user licensing information
When a user not using a product, make the license available for another user. | To revoke a user's client access license for a product
Remove users who are no longer on the network or not using Microsoft BackOffice server products. | To delete a user
Upgrade a user who will access multiple products to a BackOffice license, or revoke an upgrade that has been made already. | To upgrade a user to a Microsoft BackOffice license
Adjust licensing when users access Microsoft BackOffice products in more than one site. | Tracking user licenses for multiple sites


New ways to do familiar tasks

The user interface for Licensing in Windows 2000 is very similar to that of Windows NT 4.0. This table lists the tasks that are different.

If you want to | In Windows NT 4.0 | In Windows 2000
Change the master server | Use Licensing in Control Panel or Licensing in Administrative Tools. | Not defined for Windows 2000 domain. For more information, see Licensing replication; To configure replication for a server.
Change the site license server | Not defined for Windows NT 4.0 domain. | Open Active Directory Sites and Services. For more information, see Licensing replication; To change the site license server for a site; To configure replication for a server.


Best practices

You should consider these factors when configuring and tracking licensing for your organization.

  • Per Seat licensing mode is the best option if your clients frequently use multiple servers on the network.

    The Per Seat licensing mode enables all network computers to access all the servers on a network. There is no limit on the number of concurrent connections to any server. Per Seat is the normal licensing mode for a server product installed on multiple servers in a network.

    For more information, see:

    • Per Seat licensing
    • Licensing modes
  • Per Server is the best licensing option when a server product is installed on only one server accessed at any time by no more than a subset of your users.

    Concurrent Per Server connections to a particular server are allocated on a first-come, first-served basis and limited to the number of client access licenses allocated to the server. This may be more economical for a single-server network or for a server product accessed on one server by only one department or group in an organization. As your network grows, you are allowed a one-time conversion to Per Seat licensing.

    For more information, see:

    • Per Server licensing
    • Licensing modes
  • If you install a server product on a single server and you are uncertain which licensing mode is appropriate, choose Per Server.

    • As your network grows, or when you install the product on additional servers, you can make a one-time switch from Per Server to Per Seat licensing. The licensing agreement does not permit the reverse switch from Per Seat to Per Server licensing.

    For more information, see Licensing modes.

  • When the number of users is different from the number of computers, create a license group to allocate licenses for Per Seat licensing.

    • Per Seat licensing requires one client access license for each client computer. However, the License Logging service assigns and tracks licenses by user name. Create license groups to correctly allocate licenses and track usage when multiple users share one or more computers or when one user has multiple computers.

    For more information, see License groups.

  • To replicate license data from a server running Windows NT 4.0 to the licensing database for a Windows 2000 site, specify the site license server as the enterprise server for replication on the Windows NT 4.0 domain controller.

    By default, Windows NT 4.0 servers replicate to the domain controller or to an enterprise licensing server. License Logging service on all Windows 2000 servers replicates automatically to the site license server. In the replication options for a Windows NT 4.0 domain controller, always choose to replicate to the enterprise server and always specify the site license server as the enterprise server.

    For more information, see:

    • Additional replication options for prior versions of Windows servers
    • Configuring licensing replication on Windows NT 4.0 servers


How to ...

  • Manage licensing on the local server
  • Manage licensing for an enterprise
  • Manage products and product licenses
  • Manage users


Manage licensing on the local server

  • To add Per Server licenses on the local server
  • To delete Per Server licenses on the local server
  • To change the local server to Per Seat licensing
  • To configure licensing replication on the local server


Add Per Server licenses on the local server

To add Per Server licenses on the local server

  2. In Product, click the product for which you want to add licenses.
  3. Click Add Licenses.
  4. In Product, click the product.
  5. In Quantity, type the number of new licenses purchased by your organization, and then click OK.
  6. If you agree to the licensing terms, select the I agree that check box, and then click OK.

Notes

  • You can set the number of concurrent connections to zero for Windows 2000 Server if it is used only as an operating system for an application and does not provide basic network services (such as file sharing, printer sharing, and communications).
  • This procedure is only for registering the purchase of client access licenses on a server running in Per Server mode. For procedures to add licenses when the server is running in Per Seat mode, see Related Topics.

Related Topics


Delete Per Server licenses on the local server

To delete Per Server licenses on the local server

  2. In Product, click the server product from which you want to remove licenses.
  3. Click Remove Licenses.
  4. Under Serial Number, click the certificate you want to change.
  5. In Number of Licenses to remove, type the number of licenses you want to remove, then click Remove.
  6. To close the dialog box, click Cancel.

    7. This just closes the dialog box and does not cancel any changes.

Notes

  • After removing licenses for a product, you can allocate them to a different server.

Related Topics


Change the local server to Per Seat licensing

To change the local server to Per Seat licensing

  2. In Product, click the product for which you want to change the licensing mode.
  3. Click Per Seat.

Notes

  • The Per Seat licensing mode requires a Client Access License for every computer that connects to the selected server product. Once a computer is licensed, it may access any computer running the product. This is usually more economical on networks where clients connect to more than one server.
  • If you are uncertain which mode to use, leave the server product in Per Server mode. The license agreement allows a one-time, one-way option to change from Per Server to Per Seat licensing. You are not permitted to switch back.
  • If you are performing a one-time change from Per Server to Per Seat licensing mode, the Client Access Licenses allocated to the server in Per Server mode can be added to the pool of Per Seat licenses available for client computers accessing the server product on any computer in the site. Use Licensing in Administrative Tools to add Per Seat licenses for the product.

Related Topics


Configure licensing replication on the local server

To configure licensing replication on the local server

  2. Click Replication.
  3. Under Replication Frequency, specify the desired interval for replicating licensing information to the site license server:

    To manually specify a time for daily replication on this computer, click Start At and enter a time.

    Click Start Every and enter the interval at which the system should stagger the start times if multiple servers are set to this option.

Notes

  • If you select Start At under Replication Frequency and multiple servers replicate to the site license server, you must vary the starting times on each server to balance the load. Replication may not start until 15 minutes after the specified time.
  • The default is Start Every with a 24-hour interval. You can change this to an interval from one to 72 hours.

Related Topics


Manage licensing for an enterprise

  • To find the site license server for a site
  • To view licensing for a site
  • To view licensing for a Windows NT 4.0 domain
  • To view licensing for a server
  • To change the licensing mode for a server to Per Seat licensing
  • To configure replication for a server
  • To change the site license server for a site


Find the site license server for a site

To find the site license server for a site

  2. In the console tree, click the site you want to configure.

    Where?

    • Active Directory Sites and Services
    • Sites
    • Site
  3. In the details pane, click Licensing Site Settings.
  4. On the Action menu, click Properties
    5. .
  5. Under Licensing Computer, read the Computer and Domain for the site license server.

Notes

  • The default site license server is the first domain controller created in the site, but the site license server does not have to be a domain controller. For optimal performance, however, the site license server and domain controller should be in the same site.

Related Topics


View licensing for a site

To view licensing for a site

  2. On the License menu, click Select Domain.
  3. Enter the computer name of the site license server for the domain.

Notes

  • If you do not know the computer name of the site license server for a site, see Related Topics for more information.

Related Topics


View licensing for a Windows NT 4.0 domain

To view licensing for a Windows NT 4.0 domain

  2. On the License menu, click Select Domain.
  3. In Domain, enter the name of the domain to administer.

Notes

  • After you select a domain, Licensing displays the data on the server to which licensing information for the domain is replicated. For a Windows NT 4.0 domain, this is the enterprise server specified for licensing replication on the primary domain controller. If no enterprise server is specified, this is the primary domain controller for the domain.

Related Topics


View licensing for a server

To view licensing for a server

  2. On the Server Browser tab, expand the domain for the server.
  3. Right-click the server.
  4. Click Properties.

Notes

  • If you are uncertain which licensing modes are available for a server product, click the product on the Products View tab in Properties, and then click Edit.

Related Topics


Change the licensing mode for a server to Per Seat licensing

To change the licensing mode for a server to Per Seat licensing

  1. Open Licensing.
  2. On the Server Browser tab, expand the domain name.
  3. Right-click the site license server in the domain, and then click Properties.
  4. On the Products View tab, click the product, and then click Edit.
  5. In Choose Licensing Mode, click Per Seat, and then click OK.
  6. After reading the information in Per Seat Licensing, select the check box to agree to be bound by the license agreements for this product, and then click OK.

Notes

  • The Per Seat licensing mode requires a client access license for every computer that connects to the selected server product. Once a computer is licensed, it can access any computer running the product. This is usually more economical on networks where clients connect to more than one server.
  • If you are uncertain which mode to use, leave the server product in Per Server mode. The license agreement allows a one-time, one-way option to change from Per Server to Per Seat licensing. You are not permitted to switch back.
  • If you are performing a one-time change from Per Server to Per Seat licensing mode, the Client Access Licenses allocated to the server in Per Server mode can be added to the pool of Per Seat licenses available for client computers accessing the server product on any computer in the site.
  • To perform this procedure locally on a server, click Licensing in Control Panel. For more information, see Related Topics.

Related Topics


Configure replication for a server

To configure replication for a server

  2. On the Server Browser tab, expand the domain.
  3. Right-click the server to manage, and then click Properties.
  4. Click the Replication tab.
  5. Under Replication Frequency, specify the interval at which licensing information is replicated to the site license server:
    • To manually specify a time for daily replication on this computer, click Start At and enter a time.
    • To manually set an interval of time between licensing information replication, click Start Every and enter the desired interval.

Notes

  • If you select Start At under Replication Frequency and multiple servers replicate to the site license server, you must vary the starting times on each server to balance the load. Replication might not start until 15 minutes after the specified time.
  • A server running Windows 2000 Server replicates automatically to the site license server. If it is a stand-alone server in a Windows NT 4.0 domain, it replicates to the primary domain controller. Options to specify a master server apply only to servers running Windows NT 4.0 and are unavailable when you are managing a server running Windows 2000.
  • When you are managing a server running Windows NT 4.0, you can use the Master Server options to specify where the server replicates. For more information, see Related Topics.

Related Topics


Change the site license server for a site

To change the site license server for a site

  2. In the console tree, click the site you want to configure.

    Where?

    • Active Directory Sites and Services
    • Sites
    • Site
  3. In the details pane, click Licensing Site Settings.
  4. On the Action menu, click Properties.
  5. Under Licensing Computer, to select a different server to be the site license server, click Change.

Notes

  • For optimal performance, the site license server should be in the same site. The default site license server is the first domain controller created in the site, but the site license server does not have to be a domain controller.
  • If you want to retain the licensing history for your enterprise, stop the License Logging service on the new site license server, and then copy the following files from the old site license server to the same location on the new site license server:
    • Systemroot\System32\Cpl.cfg, which contains the purchase history for your organization.
    • Systemroot\Lls\Llsuser.lls, which contains the user information on the number of connections.
    • Systemroot\Lls\Llsmap.lls, which contains license group information.

    Restart the License Logging service after you copy these files. This transfer must be completed immediately after you change to the new site license server, or you might lose licensing data replicated from other servers.

Related Topics


Manage products and product licenses

  • To view product license information
  • To add Per Seat client access licenses
  • To delete Per Seat client access licenses
  • To add Per Server client access licenses
  • To delete Per Server client access licenses


View product license information

To view product license information

  2. On the Products View tab, right-click the product name.
  3. Click Properties.

Notes

  • The three tabs in the Properties dialog box for a product show the following information.
    Tab | Shows
    Clients (Per Seat) | Users have used the product in Per Seat licensing mode. You can revoke a selected user's license for the product.
    Purchase History | The date, quantity, and administrator for license purchases. You can add or delete licenses.
    Server Browser | The license mode for servers in the site and the number of licenses for Per Server mode. You can add or remove Per Server licenses, change the licensing mode, or configure replication of licensing information.

Related Topics


Add Per Seat client access licenses

To add Per Seat client access licenses

  2. On the License menu, click New License.
  3. In Product, click the server product you want to manage.
  4. In Quantity, type the number of licenses purchased.
  5. In Comment, you can type a note to aid in identifying the purchase.

Notes

  • Client access licenses added in Per Seat licensing mode are added to the pool of licenses for the Microsoft BackOffice server product. As users access the product anywhere in the site, they are allocated licenses from the pool, one license for each user. After the pool of available licenses is depleted, license violations occur when additional users access the product.

Related Topics


Delete Per Seat client access licenses

To delete Per Seat client access licenses

  2. On the Products Views tab, click the product from which you want to delete licenses.
  3. On the License menu, click Delete.
  4. In Number of Licenses to remove, type the number of licenses to be deleted.
  5. Click Remove.
  6. To close the dialog box, click Cancel.

    This just closes the dialog box and does not cancel any changes.

Note

Related Topics


Add Per Server client access licenses

To add Per Server client access licenses

  2. On the Server Browser tab, expand Enterprise, the domain name, and then the server you want to manage.
  3. Right-click the product, and then click Properties.
  4. Click Add Licenses.
  5. In Quantity, type the number of licenses to add.
  6. After reading the information in Per Server Licensing, select the check box to agree to be bound by the license agreements for this product, and then click OK.

Notes

  • Client access licenses added in Per Server mode allow for connections to a server product on a particular computer. When a user connects to the server product on that computer, the connection consumes a license. When the user disconnects from the server product, the License Logging service makes the license available to another user.
  • You can set the number of concurrent connections to zero for Windows 2000 Server if it is used only as an operating system for an application and does not provide basic network services (such as file sharing, printer sharing, and communications).

Related Topics


Delete Per Server client access licenses

To delete Per Server client access licenses

  2. On the Server Browser tab, expand Enterprise, the domain name, and then the server you want to manage.
  3. Right-click the product, and then click Properties.
  4. Click Remove Licenses.
  5. In Number of licenses to remove, type the number of licenses.
  6. Click Remove, and click Yes to confirm the change.
  7. Click Cancel to close the dialog box, and then click OK to save the changes.

Notes

Related Topics


Manage users

  • To view user licensing information
  • To revoke a user's client access license for a product
  • To delete a user from a license
  • To upgrade a user to a Microsoft BackOffice license
  • To create a new license group
  • To edit or view a license group


View user licensing information

To view user licensing information

  2. On the Clients (Per Seat) tab, right-click the user's name.
  3. Click Properties.

Notes

  • The user properties show the number of times a user has accessed server products. You can upgrade a user to a Microsoft BackOffice license or revoke a user's product license.

Related Topics


Revoke a user's Client Access License for a product

To revoke a user's Client Access License for a product

  2. Click the Products View tab.
  3. Right-click the product, and then click Properties.
  4. On the Clients (Per Seat) tab, click the user.
  5. Click Revoke, and then click Yes.

Notes

  • Revoking a license returns it to the pool of available Per Seat licenses for the server product.
  • You may want to revoke a user's license if the usage statistics show that the user does not access the product often enough to warrant retaining the client access license.

Related Topics


Delete a user from a license

To delete a user from a license

  2. On the Clients (Per Seat) tab, select the name of the user.
  3. On the License menu, click Delete, and then click Yes.

Notes

  • Deleting a user releases licenses allocated to the user to the respective product license pools for Microsoft BackOffice server products. Perform this procedure when a user has been removed from the network or will no long access the server products regularly.

Related Topics


Upgrade a user to a Microsoft BackOffice license

To upgrade a user to a Microsoft BackOffice license

  2. On the Clients (Per Seat) tab, right-click the user's name.
  3. Click Properties.
  4. To upgrade a user manually, select the Upgrade to BackOffice License check box.

Notes

  • When users access three or more server products, the system automatically converts (or upgrades) them to a Microsoft BackOffice client access license (if any are available in the pool of licenses).
  • An administrator can upgrade users at any time, even if they use only one server product.

Related Topics


Create a new license group

To create a new license group

  2. On the Options menu, point to Advanced, and then click New License Group.
  3. In Group Name, type a short descriptive name.
  4. In Description, type additional details to help identify the group.
  5. In Licenses, enter the number of licenses needed in Per Seat licensing mode.
  6. Click Add.
  7. In List Users from, click the appropriate domain.
  8. Under Users, select the users you want in the group, and then click Add.

Note

Related Topics


Edit or view a license group

To edit or view a license group

  2. On the Options menu, point to Advanced, and then click Edit License Groups.
  3. Perform any of the following tasks.
    To | Do this
    Add a new license group | Click Add.
    Delete a license group | Click the group, and then click Delete.
    Change the description, number of licenses, or users | Click the group, and then click Edit.

Note

Related Topics


Concepts

  • Licensing overview
  • Understanding licensing
  • Using licensing
  • Resources


Licensing overview

A software license grants you the legal right to use a piece of software. For each software program you use, you need a license, which is granted to you and documented in the license agreement. Your use of a software product is governed by the terms of the license agreement, as well as by copyright law. The unauthorized duplication of software constitutes copyright infringement, whether it is done for sale, for free distribution, or for personal use.

The license agreement that governs the use of Microsoft products is called the End User License Agreement (EULA). It is a contract between you and Microsoft. By acquiring the software and opening it, you accept the terms of the license agreement and you are granted the right to use the software. It is important to keep the EULA in your files. It is proof that you are the legal, licensed user of the software program.

Licensing for Windows 2000 Server products is governed by the Microsoft BackOffice licensing model. Microsoft BackOffice products include:

  • Microsoft Windows 2000 Server: The foundation of the Microsoft BackOffice Server product suite.
  • Microsoft Exchange Server: A platform for rich messaging, communication, and collaboration between networked devices.
  • Microsoft SQL Server: A scalable, flexible, high-performance relational database management server application.
  • Microsoft Site Server: A tool for working with intranet content, personalization, and management tools.
  • Microsoft SNA Server: A comprehensive gateway and application integration platform between client/server technologies and existing AS/400 and mainframe-based systems.
  • Microsoft Systems Management Server: A tool to provide centralized management of networked Windows-based devices.
  • Microsoft Proxy Server: A tool to provide firewall security protection, provide content caching, and manage the interface between internal networks and the Internet.

You must have a server license to run any of the products included in BackOffice. For most of the server products, you must also have a client access license for each client computer that connects to the server product.

The following topics provide more detailed information about licensing.

  • Understanding licensing describes the BackOffice licensing model, types of licenses and license modes, and replication of data for a site.
  • Using licensing describes how to determine the best licensing solution for your network, and how to track licensing.
  • Resources explains where to get additional information about licensing Microsoft products, including specific BackOffice products, and information about enterprise licensing.


Understanding licensing

  • The Microsoft BackOffice licensing model
  • Types of licenses
  • License modes


The Microsoft BackOffice licensing model

Licensing for Microsoft Windows Server products is governed by the Microsoft BackOffice licensing model. With the BackOffice licensing model, Windows server and client computers are licensed separately. A server license is required for each server product. (For more information, see Server licenses.) For most of Microsoft BackOffice server products, a client access license is required for each client computer that accesses the server product. (For more information, see Client access licenses.)

The current license policy for Microsoft BackOffice server products offers two licensing modes.

  • Per Server licensing allocates client access licenses to a particular server product on one computer and allows one client connection for each license.
  • Per Seat licensing allocates a client access license for a particular server product to each client computer that accesses the product. A client computer can use a Per Seat license to access a particular server product on any computer in your network.
Per Server licenses and Per Seat licenses

These two license modes provide flexibility for different networking environments. They enable an organization to buy only the number of licenses necessary to meet its networking requirements. You can select and use one mode for your entire organization, or use different modes for different sites in your organization. The selection for a particular server product depends on the structure of your network and how the product will be used on the network.

All BackOffice products that require client access licenses can be licensed in Per Seat mode. Some products, such as Windows 2000 Server, SQL Server, and SNA Server, can also be licensed in Per Server mode. When both modes are available for a product, Per Seat mode is usually the best choice for a product running on more than one server in a network. Per Server mode is the most economical for single-server networks or when a server product is used only occasionally or reserved for special uses on a single server. For more information about the two different modes and when to use them, see Licensing modes.


Types of licenses

  • Server licenses
  • Client access licenses


Server licenses

A server license, which is included when you purchase a Microsoft BackOffice server product, gives you the right to run the product on a particular computer. It does not give you the right to connect to the server from a client computer. Connecting to a server product requires a client access license, which is distinct from both the server license and the client computer's operating system license. For more information, see Client access licenses.


Client access licenses

A client access license gives a client computer the legal right to access a computer running a Microsoft BackOffice server product and the services supported by the server. Client access licenses are separate from the operating system software you use to connect to the server. Purchasing any Microsoft operating system (such as Windows 98 or Windows 2000 Professional) or non-Microsoft desktop operating system (such as Apple Macintosh or any other non-Microsoft operating system) does not provide a legal license to connect to a computer running Windows 2000 Server or its services. A client access license must be purchased for a Windows 2000 server product in addition to the desktop operating system used to access it.

Licensing is based on the number of client connections to computers running Windows 2000 Server. Every client computer, regardless of the operating system running on that computer, requires a client access license if the client accesses the server for any of the following basic network services:

  • File services. Sharing and managing files or disk storage.
  • Printing services. Sharing and managing printers.
  • Macintosh connectivity. File sharing and printing services.
  • File and print services for NetWare connectivity. File sharing and printing services for NetWare clients.
  • Remote access services. Accessing the server from a remote location through a communication link.

The number of client connections is not always the same as the number of users. For example, when the same user logs on concurrently from two workstations and simultaneously connects to a server from both workstations, it is considered two connections. Conversely, when two users log on to the network sequentially at the same workstation and connect to a server, they can be covered by a single client access license.

To allow client connections to a server product, Microsoft provides two licensing modes, per server and per seat, as described in The Microsoft BackOffice licensing model. The manner in which client access licenses are allocated for a server product depends on whether the Per Server or Per Seat licensing mode is selected for a product. For more information, see Per Server licensing or Per Seat licensing.


License modes

  • Per Server licensing
  • Per Seat licensing
  • Licensing different server products


Per Server licensing

The Microsoft BackOffice licensing model and its two licensing modes, per server and per seat, are introduced in The Microsoft BackOffice licensing model. In Per Server licensing, client access licenses (CALs) for a particular server product are allocated to a server running the product. The number of CALs allocated to the server determines the number of concurrent connections that can be made to that server.

The number of connections to the server determines the number of CALs being used at a given time, not connections to individual share points or printers. For example, if you are logged on to a workstation and you connect to \\Server\Apps and \\Server\Public from that workstation, it is considered a single connection and uses only one CAL. However, if you log on to two different workstations using the same user name and connect to the server from both, it is considered to be two connections and uses two Per Server CALs.

With Per Server licensing, you must have at least as many CALs dedicated to a server product as the maximum number of client computers that will connect to that product concurrently. If a network has multiple servers, each server licensed in Per Server mode must have at least as many CALs dedicated to it as the maximum number of clients that will connect to it at any one time.

After the limit is reached on a server, it does not allow additional connections. Clients attempting to connect to the server display an error message. Connections made by administrators are counted in the total number of concurrent connections, but after the limit is reached, administrators are still allowed to connect. This permits administrators to continue to manage the server even though the maximum number of allowable connections has been exceeded. Other users can connect only after enough clients (including administrators) have disconnected to get below the limit.

Per Server licensing is the appropriate mode for a network that has only one server. Per Server may also be the most economical licensing mode for servers that are used only occasionally. For example, a company with 200 employees may use Network and Dial-Up Connections on a Windows 2000 Server, but anticipate that not more than 50 employees will dial in at any one time. In this case, the company should license Windows 2000 Server in Per Server mode and acquire 50 Windows 2000 Server client access licenses for that server. Per Server mode is usually the most economical licensing mode for special-use servers, such as dial-up, Internet, or bulletin board servers that clients access only occassionally.


Per Seat licensing

The Microsoft BackOffice licensing model and its two licensing modes, per server and per seat, are introduced in The Microsoft BackOffice licensing model. The Per Seat licensing mode is more common than the Per Server licensing mode. The Per Seat licensing mode requires a client access license (CAL) for each computer that will access a particular BackOffice server product on any server within the network. Once a license is allocated for a client computer, the computer can be used to access that product on any server. Any user can log on to that single computer without requiring additional client access licenses.

Important

  • Although client access licenses are allocated for each client computer, License Logging service assigns and tracks client access licenses according to user names. This fulfills the legal requirement of one client access license for each client computer only when the number of client computers is the same as the number of users on a network--most simply, when every user has one computer. When multiple users share one or more computers or when a single user has multiple computers, a network administrator can use a license group to accurately track client access licenses. For more information, see License groups.

If you select the Per Seat licensing mode on a server, any number of licensed computers can be used to connect to the server. However, you must purchase a client access license for each client computer whether it uses a Microsoft client operating system (such as Windows 98 or Windows 2000 Professional) or any other client operating system supported by Windows 2000 Server.

Having a valid Per Seat client access license guarantees access only to a server configured in the Per Seat mode. It does not guarantee client access to a server that is licensed in the Per Server mode. Such a connection also consumes one of the licenses from the pool of available Per Server licenses allocated to the server. Therefore, the client can connect only if it will not cause the total number of connections to exceed the limit of the server.

A client access license is not included when you acquire Windows 98, Windows 2000 Professional, or any other Windows operating system. The license must be purchased separately and in addition to the operating system software.


Licensing different server products

Different Microsoft BackOffice server products can have different licensing requirements for client connections. Most, but not all, Microsoft BackOffice server products require client access licenses. Some products that require client access licenses allow either Per Server or Per Seat licensing. Others always require Per Seat licensing. To find licensing information for a particular server product, see the documentation for the product. Microsoft also posts current licensing information for all Microsoft BackOffice products on on its Web site. For more information, see Resources.

You do not have to use the same licensing mode for all Microsoft BackOffice server products installed on your network. Depending on how a product is used on the network and on the modes allowed for it, it can be licensed in either Per Server or Per Seat mode independently of other BackOffice server products on the network. For information about choosing to use Per Server or Per Seat licensing, see Choosing the licensing mode.


Using Licensing

  • Administering and tracking licenses
  • Choosing the licensing mode
  • Tracking your organization's licensing
  • Resources


Administering and tracking licenses

Tracking licenses manually within single domain or across multiple domains can be time consuming and expensive. Windows 2000 provides two utilities that automate and help you minimize the time and expense of license tracking. You can use these utilities to view data and manage licensing for server products and to ensure that you are complying with the Microsoft BackOffice licensing requirements.

Licensing in Control Panel

The Licensing option in Control Panel manages licensing requirements for Microsoft BackOffice server products on a single computer. Use it locally on the computer you are managing to:

  • Add or remove client access licenses for a server product licensed in Per Server mode.
  • Change the licensing mode from Per Server to Per Seat (one time only).
  • Configure the time or frequency of replication of the licensing information of the server to the centralized database on the site license server.

For more information, see Manage licensing on the local server.

Licensing in Administrative Tools

Use Licensing in Administrative Tools to manage licensing for the enterprise. It enables you to administer and track licensing data for a site in the centralized licensing database on the site license server. You can:

  • View Per Server and Per Seat licenses for the site or a group in the site.
  • Manage purchasing or deleting of licenses for server products on network servers.
  • View usage statistics for each user.
  • Remotely manage licensing on servers for server products licensed in Per Server mode.
  • Manage license replication on the network.

For more information, see Administering licensing for the enterprise.


Choosing the licensing mode

  • Licensing modes
  • Mixing licensing modes


Licensing modes

When you install Windows 2000 Server or another Microsoft BackOffice server product, you must specify whether the product is to be licensed in Per Seat or Per Server mode. In general, use the following guidelines for selecting a licensing mode.

  • If this is the only server computer in your network that will run the server product, select the Per Server option and specify the number of client access licenses (CALs) purchased for the product. This sets the maximum number of concurrent connections that can be made to the server product. As you purchase additional licenses, you can increase this number.
  • If multiple server computers in your network will run the server product, and the total number of client access licenses required to support Per Server mode for all the servers is equal to or greater than the number of client computers or workstations, select the Per Seat option for the product on all computers in your network.

If you do not know how many licenses or which mode your network requires, you can use the following worksheet to calculate the number of licenses you need and determine whether Per Server or Per Seat is the most appropriate mode.

Licensing mode and computers | CALs needed
Per Server option
Number of concurrent connections needed to Server 1 |
Number of concurrent connections needed to Server 2 |
Number of concurrent connections needed to Server N |
Number of CALs needed = Server 1 + Server 2 + ... + Server N | A
Per Seat option
Number of computers that access any server | B

Add the maximum number of connections expected for each server to calculate value A, the number of CALs required for the Per Server licensing. Count the number of client computers that access any server to provide value B, the number of CALs for Per Seat licensing. Then use the following criteria to decide whether to use Per Server or Per Seat:

  • If A is less than B, use Per Server licensing.
  • If B is less than A, use Per Seat licensing.

Scenarios: Calculating licensing requirements

The table below illustrates how to calculate the licensing requirements for a company with one computer running Windows 2000 Server. If the company has 300 computers running Windows 2000 Professional, but only 250 of these will access the server concurrently, the table would look like this:

Licensing mode and computers | CALs needed
Per Server option
Number of concurrent connections needed to Server 1 | 250
Number of CALs needed (A) | 250
Per Seat option
Number of computers that access any server (B) | 300

In this case A is less than B, so the network administrator would choose Per Server licensing for 250 CALs.

In an alternate scenario, the company adds three additional servers running Windows 2000 Server. Each of these servers is expected to support 50 concurrent connections, while the original server would now be expected to support 200 concurrent connections. The table below illustrates how to calculate the licensing requirements for these conditions.

Licensing mode and computers | CALs needed
Per Server option
Number of concurrent connections needed to Server 1 | 200
Number of concurrent connections needed to Server 2 | 50
Number of concurrent connections needed to Server 3 | 50
Number of concurrent connections needed to Server 4 | 50
Number of CALs needed (A) | 350
Per Seat option
Number of computers that access any server (B) | 300

Now B is less than A, so the network administrator would choose Per Seat licensing for 300 CALs.

If you do not know which licensing mode to use

Select the Per Server licensing option if you are unsure which licensing mode to choose. If you initially select Per Server mode and later find that the number of CALs required to support this option is greater than the number of client computers, you can change from Per Server to Per Seat mode. This is a one-time, one-way conversion option, and only permitted for Windows 2000 Server, Microsoft Exchange Server, SQL Server, and SNA Server.

It is unnecessary to notify Microsoft if you change a product from Per Server to Per Seat licensing mode. However, you will need to change the total number of Per Seat licenses in License Manager.

You are not legally permitted to change a product from Per Seat to Per Server licensing mode.

Reallocating licenses after switching from Per Server to Per Seat licensing modes

When you perform a one-time change from Per Server to Per Seat licensing mode for a server product on a server, you need to reallocate the Client Access Licenses assigned to the server. Use Licensing in Administrative Tools to add the licenses to the pool of Per Seat licenses for the product. The licenses will then be available for client computers accessing the server product on any server in the site. For more information, see To add Per Seat client access licenses.

Licensing different server products

Client access licenses are purchased for a single server product, such as Windows 2000 Server or Exchange Server. If a client connects to two or more server products, such as Windows 2000 Server and Systems Management Server, you must purchase a separate CAL for each product. Different server products may use different licensing modes, depending on how they are used on a network, so you must calculate the licensing requirements for each product separately.


Mixing licensing modes

In an organization or site where all users are accessing the same servers, it is usually best to use the same licensing mode for a particular server product on all servers. However, when different servers are used by different groups or used for special purposes in an organization, it may be useful to perform the analysis shown in Licensing modes to determine the best licensing mode for each group.

Example of licensing the same product for different servers

A company has three servers, all of which run Windows 2000 Server. Server A and Server B are in the Production Department. These are licensed in Per Seat mode because they are used by 50 people who all work the same hours and are constantly accessing data on both servers.

Server C is in the Information Services Department. It is licensed in Per Server mode for five clients, because it is used by 20 people who work different hours and connect only sporadically to the server.

The Per Server option is the often most economical choice for occasional-use servers, such as when a great number of clients will access a server only on an occasional basis, or for special-use servers, such as those running a remote access service, Internet services, or bulletin board services.

For instance, a consulting company with 40 employees has two servers with Windows 2000 licensed in Per Seat mode for 40 users. The company now adds a third computer running Windows 2000 Server to provide remote access services to customers. 200 customers will need these services, but the network administrator anticipates that no more than 50 of them will dial in at any one time. In this case, the company should license Windows 2000 Server on the remote access server in Per Server mode and acquire 50 Windows 2000 Server client access licenses for that server. This is more economical than buying 200 CALs to add the dial-up server in Per Seat mode.

Important

  • A Per Seat license does not provide a user the right to access a server on which the same product is running in Per Server mode. The user still consumes an additional Per Server license when accessing that server. Whenever all the Per Server licenses are consumed by connections to that server, the user is denied access just like users without a Per Seat license.

You can also mix the Per Server and Per Seat modes on a single computer if you are running more than one BackOffice server product. For example, Windows 2000 Server can run in Per Server mode while SNA Server runs in Per Seat mode on the same computer. However, an individual server product cannot simultaneously run in different modes on the same server.


Tracking your organization's licensing

  • Administering licensing for the enterprise
  • Licensing replication
  • Configuring licensing replication
  • Configuring Windows NT 4.0 licensing replication
  • License groups
  • Situations that use licenses
  • Tracking user licenses for multiple sites


Administering licensing for the enterprise

To administer Microsoft BackOffice licensing for sites or the enterprise, use Licensing in Administrative Tools. You can track licensing data replicated to the site license server for sites or replicated to the primary domain controller for Windows NT 4.0 domains. For more information, see To view licensing for a site and To view licensing for a Windows NT 4.0 domain.

Licensing in Administrative Tools divides tasks into Purchase History, Products View, Clients (Per Seat), and Server Browser.

Purchase History: To view license purchases

The Purchase History tab in Licensing provides a historical overview of the licenses purchased for a site. It also shows the quantity of licenses purchased and deleted, the date of addition or deletion, and the name of the administrator who performed the action.

Products View: To view and manage product licensing

The Products View tab of Licensing provides licensing information for server products in a site. The information displayed for a server product depends on the licensing mode for the product.

For a product in Per Seat mode, Product View shows how many licenses have been purchased for the product and how many licenses have been allocated to users' computers for all the products.

For Per Server mode, Product View shows the total number of licenses that have been purchased for each product on all the servers in the site. It also shows the maximum number of concurrent connections reached to the date on all servers with the product in the site.

You can use both the numerical and graphical information shown in Products View to determine the following.

Symbol | Licensing status
Compliance symbol for licensing | The product is in compliance with legal licensing requirements.
Noncompliance symbol for licensing | The product is not in compliance with legal license requirements.
Legal limit symbol for licensing | The product has reached the legal limit, and you might want to purchase additional licenses.

In Products View you can perform the following licensing tasks:

  • Add new client access licenses for a product
  • Delete client access licenses for a product
  • View client accesses, purchase history, and server information for a product.

Clients (Per Seat): To view and manage client licensing

The Clients (Per Seat) tab lists users who have used the products in a domain or organization. For each user, it shows licensed and unlicensed usage of Microsoft BackOffice server products. You can perform the following licensing tasks on this tab:

  • View product usage by users.
  • Add new client access licenses.
  • Create, view, and edit license groups.
  • Upgrade a user to a BackOffice license.
  • Revoke a license allocated to a user.

When you add client access licenses in Per Seat mode, you are adding these licenses to a pool of licenses for the product rather than to specific users. As users access the product, they are allocated a license shown on this tab. When the pool of available licenses is depleted, license violations occur when new users access the product. You can use both the numerical and graphical information shown in Clients (Per Seat) to determine the following.

Symbol | Licensing status
Compliance symbol for licensing | Users in compliance with legal licensing requirements (licensed usage).
Noncompliance symbol for licensing | Users in violation of legal licensing requirements (unlicensed usage).

Users listed on the Clients (Per Seat) tab can be either individual users or members of licensed groups. Individual users each require a license to access a product in Per Seat mode. Members of licensed groups share the licenses allocated to the group.

Server Browser: To view and manage server licensing

The Server Browser tab lists all the sites, domains, and servers in your organization. It shows the BackOffice server products installed on each server. You can use this tab to view and configure licensing for server products on servers in any site or domain for which you have administrative authority.

Use the Server Browser tab to view the licensing configuration of any server in the enterprise. You can perform any of the following administrative tasks at the server level:

  • View BackOffice server products installed on a server.
  • View the licensing mode for each product on a server.
  • For products in Per Seat licensing mode, view the number of client access licenses purchased.
  • For any server product in Per Seat licensing mode, add or remove client access licenses for a product.
  • Switch a product from Per Seat to Per Server licensing mode.
  • Open and manage a selected item's properties at the server and product levels.
  • For any Windows server, view and change the time or frequency licensing information is replicated.
  • For a computer running Windows NT 4.0 Server, view and change where it replicates its licensing information.

The properties for each server list all the BackOffice server products installed on the server. For each product, you can add or remove Per Server licenses or change the licensing mode. The properties for each product show the licensing mode and, if in Per Server mode, the number of licenses.


Licensing replication

An administrator can ensure an organization's legal compliance with Microsoft BackOffice software license agreements by monitoring license purchases, deletions, and usage. This licensing information is collected on a server by the License Logging service in Windows 2000 Server.

The License Logging service on each server in a site replicates this licensing information to a centralized database on a server called the site license server for the site. A site administrator or administrator for the site license server can then use Licensing in Administrative Tools to view the licensing history for the entire site stored on the site license server.

The site license server is usually the first domain controller created for the site. In a large organization with multiple sites, licensing information for each site is collected separately by the site license server in each site.

To find which server is the site license server, see To find the site license server for a site. To change the site license server to a different server, see To change the site license server for a site. To view licensing information for any site on your network, see To view licensing for a site.


Configuring licensing replication

On a computer running Windows 2000 Server, you can configure how often licensing data is replicated to the site license server. On a computer running Windows NT 4.0 Server, you can also configure where the data is replicated. These settings can be configured either locally on a server or remotely.

To configure licensing replication locally on a server, use the Licensing option in Control Panel. See To configure licensing replication on the local server. To configure replication remotely for a server in your network, use Licensing in Administrative Tools, as described in To configure replication for a server.

Replication options

The following table describes the options for configuring replication.

Option | Use to | Use when
Start At | Specify a time each day when licensing information is replicated to the site license server. | You want to manually set up a starting time for replication on this computer. You must vary the starting times on servers replicating to a particular master or enterprise server.
Start Every | Set the frequency for licensing replication. | The system will automatically stagger the times licensing data from each server is replicated.

Balancing the license replication load

The Replication Frequency settings (Start At and Start Every in the table) affect how long licensing changes on individual servers take to pass up to the enterprise server. The default is to start every 24 hours, and the system automatically staggers replication to balance the load. You can lengthen or shorten the interval to change how quickly data is passed on.

If you want to control the time at which replication occurs, select Start At on each replicating server and specify a time. You must manually vary the starting time of each server replicating to a particular server to balance the load. The actual replication may start up to 15 minutes before or after the specified time.

Additional replication options for earlier versions of Windows servers

Windows 2000 servers automatically replicate to the site license server. For Windows NT 3.1 or Windows NT 4.0 servers on your network, you must configure where they replicate their licensing data. You do this with the Master Server options in the Replication Configuration dialog box. These options appear only for Windows NT 3.1 or Windows NT 4.0 Servers.

Option | Use to | Use when
Domain Controller | Specify that this computer replicates to the primary domain controller. | This computer is a member server or a backup domain controller in a Windows NT 4.0 domain. This computer is a stand-alone server or a primary domain controller, and you do not want to replicate further.
Enterprise Server | Specify that the master server is an enterprise server, and enter the name of the enterprise server. | This computer is a stand-alone server, is part of an enterprise, and you want to replicate its licensing information directly to an enterprise licensing database. The computer is the primary domain controller for its domain, and you want to replicate to an enterprise licensing database.

For more information, see Configuring Windows NT 4.0 licensing replication and To view licensing for a Windows NT 4.0 domain. To configure licensing locally on a Windows NT 3.1 or Windows NT 4.0 server, see online Help on the server.


Configuring Windows NT 4.0 licensing replication

A server running Windows NT Server 4.0 replicates licensing data to a designated master server. By default, a server running Windows NT Server 4.0 replicates licensing data to the domain controller in its domain. An administrator can configure the domain controller to either retain the licensing data or replicate it to a designated enterprise server, which collects licensing data from all domains in an enterprise. This is different from a server running Windows 2000 Server, which always replicates to the site license server.

If you are administering licensing for a Windows 2000 site, you can still configure replication for any server running Windows NT Server 4.0 in your network. For a Windows NT 4.0 domain controller, you can select Domain Controller (the default setting) to retain the licensing information for the domain on the domain controller. Alternatively, you can specify that the licensing information for the domain replicate to a specified enterprise server. Preferably, you want to consolidate licensing information from a Windows NT 4.0 domain controller with other information for your enterprise. To do this, choose to replicate licensing information to an enterprise server and specify the site license server as the enterprise server.

If a server running Windows NT Server 4.0 replicates to a domain controller that then replicates to an enterprise licensing database, data can take longer to reach the site license server than with a Windows 2000 server replicating directly to the site license server. For example, with a replication interval of 24 hours, information can take up to 24 hours to replicate to a domain controller and then up to 24 additional hours to replicate to a site license server. When the option to replicate to the enterprise server is available for a server that is not a domain controller, you can speed up replication by specifying to replicate directly to the site license server. (Do not do this if you want to be able to view licensing data separately for a Windows NT 4.0 domain. For more information, see To view licensing for a Windows NT 4.0 domain.)

For more information about replication in Windows 2000, see Licensing replication. For more information about master server replication options for servers running Windows NT 4.0, see Additional replication options for prior versions of Windows servers. To locate the site license server for a site, see To find the site license server for a site. To view replication settings for a Windows NT 4.0 Server, follow the Windows 2000 procedure To configure replication for a server.


License groups

In Per Seat licensing mode, a license is required for each client computer that accesses a server product. License Logging service, rather than allocating licenses to computers, allocates them to users when they access a server product for the first time. This fulfills the legal requirement of one client access license for each client computer only when the number of client computers is the same as the number of users on a network--most simply, when each user has one computer.

When the number of users is different from the number of computers, this may provide incorrect licensing information. You must then organize users in license groups to obtain correct licensing information. A license group pools the licenses for computers used by users in a group. When users in a group access the server product, they use the group license and do not consume additional licenses. Thus, you can maintain the one-to-one correspondence between licenses and computers.

Create license groups to obtain correct licensing information under the following conditions:

  • Many people use one computer. This can occur when people share jobs or employees who are working different shifts use the same computer.
  • Many users use many computers, but there are more users than computers. This situation may exist in a university's computer lab or in a retail store.
  • One user uses more than one computer. This often occurs when software developers create programs on one computer and test their applications on several other computers.

To create a license group, you specify the users in the group and allocate one license for each client computer used to access the server product. The number of licenses allocated to a group should correspond to the number of computers used by members of the group. This can be either fewer or more than than the number of users.

  • If 10 people are using one computer, you need only one client access license. The group would include all of the users, but have only one license.
  • If 100 users are using 10 computers, you need 10 client access licenses, one for each of the 10 computers. The group would list the 100 users and have 10 client access licenses.
  • If one user uses 5 computers, you need a client access license for each computer. The group would list the single user and have 5 licenses.

To create a new license group, see To create a new license group. To add, delete, or change a license group, see To edit or view a license group.


Situations that use licenses

Windows 2000 Server is a multipurpose operating system. It provides networking services such as file and printer sharing, but it is also an operating system for server-based programs.

If you are using Windows 2000 Server only as a server operating system for a program, and receive your file and print services from another product, you do not need client access licenses for Windows 2000 Server. If any one of the following basic network services is being provided by Windows NT Server, then a Windows 2000 Server client access license is required:

  • File sharing
  • Printer sharing
  • Network and Dial-up Connections
  • Macintosh services
  • Message Queuing Services and Component Services

For example, if your server is running Windows 2000 Server with Microsoft SQL Server, you will need to have Windows 2000 Server client access licenses for each workstation only if Windows 2000 Server is also providing one of the basic network services listed above.


Tracking user licenses for multiple sites

Users accessing a Microsoft BackOffice server product in more than one site may be allocated multiple licenses for the product. License Logging service for Windows 2000 collects site licensing information on the site license server for a single site. This enables a geographical or organizational unit in an organization to purchase and manage their software licenses separately. However, because each site allocates licenses to users independently of other sites, a user connecting to a product in more than one site could be inadvertently allocated more than one client access license for the same product.

If your organization has multiple sites and you notice unexpected consumption of software licenses, you may want to check for multiple licenses allocated to users in different sites. To search for multiple client access licenses allocated to the same user in more than one site, you must compare the product information for different sites. To compare the users listed in Clients (Per Seat) for different sites, use Licensing in Administrative Tools. For more information, see To view product license information.

If a user from a different site is allocated a license for a server product in both sites, you can either delete the user or revoke the license. However, do not do this if the user uses a different computer for each site--for example, if the user regularly travels between corporate offices and has a different computer in each location. The license allocation would then be correct.

Multiple sites for an organization normally reflect groups of users that are distinct geographically or organizationally, working on distinct subnets owned by the organization. If you find that users are constantly accessing servers in different sites, you may want to reconsider how you structure the sites or how you distribute resources among sites.


Resources

Licensing for the enterprise

For more information on licensing for an enterprise, see Software Licensing at the Microsoft Web site (http://www.microsoft.com/).

Product licensing information

For licensing information for Microsoft BackOffice products, see Microsoft BackOffice at the Microsoft Web site (http://www.microsoft.com/).


Troubleshooting

This section provides troubleshooting information about Licensing.

  • Messages for License Logging service
  • Troubleshooting licensing


Messages for License Logging service

You might see one or more of the following informational or error messages for the License Logging service.

Messages for License Logging service

3 Server ServerName has requested that license database replication to it be delayed.

4 License database replication to server servername has started.

5 License database replication to server servername has completed successfully.

Warning and error messages

201 No license was available for user UserName using product ProductName.

202 The product ProductName is out of licenses.

203 The user data could not be saved.

204 The license group data could not be saved.

205 The purchased license data could not be saved.

208 The saved user data could not be restored.

209 The saved license group data could not be restored.

210 The saved purchased license data could not be restored.

213 Replication of license information failed because the License Logging service on server ServerName could not be contacted.

214 The License Logging service encountered an error while initiating replication to server ServerName.

215 License database replication to server ServerName was unsuccessful.

218 The certificate database could not be saved.

219 The certificate database could not be restored.

220 License database replication cannot be performed to server ServerName because the version of Windows NT installed there does not support the License Logging service.

221 License usage for product ProductName is nearing the maximum number of Per Server licenses purchased. For more information, see License Manager in Administrative Tools.

222 License usage for product ProductName is at the maximum number of Per Server licenses purchased. New license requests may not be granted. For more information, see License Manager in Administrative Tools.


Troubleshooting licensing

What problem are you having?

No more connections can be made to a server product because the number of connections has reached the maximum that the server can accept.

Cause: The server product may be configured with Per Server licensing and the number of licenses may be exhausted.

Solution: Check license usage for the product on the server. The user can wait until others stop accessing the product. To eliminate the problem, you can purchase more licenses for the product.

See also: To view product license information

The number of Per Seat client access licenses allocated is more than the number of client computers accessing a Microsoft server BackOffice product.

Cause: A client access license is required for each client computer that accesses a Microsoft BackOffice product, but licenses are allocated to users rather than computers. Any of the following can consume extra licenses:

  • A user who accessed a server product has been removed from the network.
  • A user is still on the network, but no longer uses the server product.
  • Several users access a product from a single client computer.

Solution: To release allocated licenses, do the following:

  • When you remove a user from the network, use Licensing in Administrative Tools to delete the user.
  • Use Licensing in Administrative Tools to check how recently and often a user accesses a particular server product. Revoke a client access license if a user no longer uses the product.
  • When several users share one or more client computers, create a license group to allocate the same number of client access licenses among the users as there are client computers.

See also: To view user licensing information; To delete a user; To revoke a user's client access license for a product; To create a new license group

The number of client access licenses allocated is fewer than the number of client computers used to access a product.

Cause: A user accesses a server product from more than one computer.

Solution: Whenever one or more users use several different computers, create a license group to allocate the pooled client access licenses for the client computers to the users. This can cause more client access licenses to be allocated than there are client computers accessing a product.

See also: To create a new license group

Client access licenses for a product are allocated to users who belong to another site.

Cause: License Manager tracks usage for a single site, and does not distinguish users who access a particular server product in more than one site from a single client computer.

Solution: Use Licensing in Administrative Tools to revoke licenses or delete users from another site. Do not revoke a client access license from a user who uses different computers that belong to the different sites. The number of licenses then corresponds correctly to the number of client computers. If a user in a site shares a computer with a user from another site (for example, a visitor from another division of the company), then create a license group to correctly allocate the corresponding client access license to both users.

See also: Tracking user licenses for multiple sites; To delete a user; To revoke a user's client access license for a product; To create a new license group

Licensing information for a Windows 4.0 domain is not replicated to the Windows 2000 site license server.

Cause: Unlike servers running Windows 2000, servers running Windows NT 4.0 do not replicate automatically to the site license server.

Solution: Configure the Windows NT 4.0 domain controllers in a site to replicate to the site license server. In the replication options for the server running Windows NT 4.0, select to replicate to the site license server as the Enterprise Server.

See also: Configuring Windows NT 4.0 licensing replication